Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/Debug/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/Debug/Makefile	(revision 387)
@@ -204,6 +204,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/lcd
 APPL_COBJS := $(APPL_COBJS) draw_font.o shnm12_font.o
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEnbt/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEnbt/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEnbt/Makefile	(revision 387)
@@ -204,6 +204,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/lcd
 APPL_COBJS := $(APPL_COBJS) draw_font.o shnm12_font.o
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEther/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEther/Makefile	(revision 387)
@@ -204,6 +204,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/lcd
 APPL_COBJS := $(APPL_COBJS) draw_font.o shnm12_font.o
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c	(revision 387)
@@ -66,10 +66,6 @@
 #include "ffarch.h"
 #include "ff.h"
-#include "core/ntshell.h"
-#include "core/ntlibc.h"
 #include <stdio.h>
 #include "usrcmd.h"
-#include "util/ntopt.h"
-#include "socket_stub.h"
 #include "gpio_api.h"
 #include "usb_hbth.h"
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.cdl
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.cdl	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.cdl	(revision 387)
@@ -22,5 +22,5 @@
  *  ターゲット依存部の取り込み
  */
-import("target.cdl");
+import("ntshell.cdl");
 
 /*
Index: asp3_tinet_ecnl_arm/trunk/app2_light/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app2_light/Debug/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app2_light/Debug/Makefile	(revision 387)
@@ -189,6 +189,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 
 #
Index: asp3_tinet_ecnl_arm/trunk/app2_light/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app2_light/DebugEther/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app2_light/DebugEther/Makefile	(revision 387)
@@ -187,6 +187,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 
 #
Index: asp3_tinet_ecnl_arm/trunk/app2_light/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app2_light/src/main.c	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app2_light/src/main.c	(revision 387)
@@ -65,10 +65,6 @@
 #include "ffarch.h"
 #include "ff.h"
-#include "core/ntshell.h"
-#include "core/ntlibc.h"
 #include <stdio.h>
 #include "usrcmd.h"
-#include "util/ntopt.h"
-#include "socket_stub.h"
 #include "gpio_api.h"
 #include "usb_hbth.h"
Index: asp3_tinet_ecnl_arm/trunk/app2_light/src/main.cdl
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app2_light/src/main.cdl	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app2_light/src/main.cdl	(revision 387)
@@ -22,5 +22,5 @@
  *  ターゲット依存部の取り込み
  */
-import("target.cdl");
+import("ntshell.cdl");
 
 /*
Index: asp3_tinet_ecnl_arm/trunk/app3_human_detec/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app3_human_detec/Debug/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app3_human_detec/Debug/Makefile	(revision 387)
@@ -189,6 +189,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 
 #
Index: asp3_tinet_ecnl_arm/trunk/app3_human_detec/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app3_human_detec/DebugEther/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app3_human_detec/DebugEther/Makefile	(revision 387)
@@ -187,6 +187,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 
 #
Index: asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.c	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.c	(revision 387)
@@ -65,10 +65,6 @@
 #include "ffarch.h"
 #include "ff.h"
-#include "core/ntshell.h"
-#include "core/ntlibc.h"
 #include <stdio.h>
 #include "usrcmd.h"
-#include "util/ntopt.h"
-#include "socket_stub.h"
 #include "gpio_api.h"
 #include "usb_hbth.h"
Index: asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.cdl
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.cdl	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.cdl	(revision 387)
@@ -22,5 +22,5 @@
  *  ターゲット依存部の取り込み
  */
-import("target.cdl");
+import("ntshell.cdl");
 
 /*
Index: asp3_tinet_ecnl_arm/trunk/app4_aircon/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app4_aircon/Debug/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app4_aircon/Debug/Makefile	(revision 387)
@@ -195,6 +195,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/lcd
 APPL_COBJS := $(APPL_COBJS) draw_font.o shnm12_font.o
Index: asp3_tinet_ecnl_arm/trunk/app4_aircon/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app4_aircon/DebugEther/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app4_aircon/DebugEther/Makefile	(revision 387)
@@ -193,6 +193,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/lcd
 APPL_COBJS := $(APPL_COBJS) draw_font.o shnm12_font.o
Index: asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.c	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.c	(revision 387)
@@ -65,10 +65,6 @@
 #include "ffarch.h"
 #include "ff.h"
-#include "core/ntshell.h"
-#include "core/ntlibc.h"
 #include <stdio.h>
 #include "usrcmd.h"
-#include "util/ntopt.h"
-#include "socket_stub.h"
 #include "gpio_api.h"
 #include "usb_hbth.h"
Index: asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.cdl
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.cdl	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.cdl	(revision 387)
@@ -22,5 +22,5 @@
  *  ターゲット依存部の取り込み
  */
-import("target.cdl");
+import("ntshell.cdl");
 
 /*
Index: asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/Debug/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/Debug/Makefile	(revision 387)
@@ -195,6 +195,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/lcd
 APPL_COBJS := $(APPL_COBJS) draw_font.o shnm12_font.o
Index: asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/DebugEther/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/DebugEther/Makefile	(revision 387)
@@ -193,6 +193,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/lcd
 APPL_COBJS := $(APPL_COBJS) draw_font.o shnm12_font.o
Index: asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.c	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.c	(revision 387)
@@ -65,10 +65,6 @@
 #include "ffarch.h"
 #include "ff.h"
-#include "core/ntshell.h"
-#include "core/ntlibc.h"
 #include <stdio.h>
 #include "usrcmd.h"
-#include "util/ntopt.h"
-#include "socket_stub.h"
 #include "gpio_api.h"
 #include "usb_hbth.h"
Index: asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.cdl
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.cdl	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.cdl	(revision 387)
@@ -22,5 +22,5 @@
  *  ターゲット依存部の取り込み
  */
-import("target.cdl");
+import("ntshell.cdl");
 
 /*
Index: asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/Debug/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/Debug/Makefile	(revision 387)
@@ -189,6 +189,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 
 #
Index: asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/DebugEther/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/DebugEther/Makefile	(revision 387)
@@ -187,6 +187,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 
 #
Index: asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.c	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.c	(revision 387)
@@ -65,10 +65,6 @@
 #include "ffarch.h"
 #include "ff.h"
-#include "core/ntshell.h"
-#include "core/ntlibc.h"
 #include <stdio.h>
 #include "usrcmd.h"
-#include "util/ntopt.h"
-#include "socket_stub.h"
 #include "gpio_api.h"
 #include "usb_hbth.h"
Index: asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.cdl
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.cdl	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.cdl	(revision 387)
@@ -22,5 +22,5 @@
  *  ターゲット依存部の取り込み
  */
-import("target.cdl");
+import("ntshell.cdl");
 
 /*
Index: asp3_tinet_ecnl_arm/trunk/app7_buzzer/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app7_buzzer/Debug/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app7_buzzer/Debug/Makefile	(revision 387)
@@ -189,6 +189,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 
 #
Index: asp3_tinet_ecnl_arm/trunk/app7_buzzer/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app7_buzzer/DebugEther/Makefile	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app7_buzzer/DebugEther/Makefile	(revision 387)
@@ -187,6 +187,6 @@
 APPLDIRS := $(APPLDIRS) $(SRCDIR)/$(TINETDIR)/netapp
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
-APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPLDIRS := $(APPLDIRS) ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o stdio_stub.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o sdfs.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o
 
 #
Index: asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.c	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.c	(revision 387)
@@ -65,10 +65,6 @@
 #include "ffarch.h"
 #include "ff.h"
-#include "core/ntshell.h"
-#include "core/ntlibc.h"
 #include <stdio.h>
 #include "usrcmd.h"
-#include "util/ntopt.h"
-#include "socket_stub.h"
 #include "gpio_api.h"
 #include "usb_hbth.h"
Index: asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.cdl
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.cdl	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.cdl	(revision 387)
@@ -22,5 +22,5 @@
  *  ターゲット依存部の取り込み
  */
-import("target.cdl");
+import("ntshell.cdl");
 
 /*
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/mbed_stub.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/mbed_stub.c	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/mbed_stub.c	(revision 387)
@@ -66,4 +66,6 @@
 #include "t_syslog.h"
 
+extern void musl_start(const char *const args);
+
 int main()
 {
@@ -182,6 +184,5 @@
 }
 
-__attribute__((weak))
-void *SYS_brk(void *addr)
+void *shell_brk(void *addr)
 {
 	if (addr == 0) {
@@ -194,6 +195,5 @@
 }
 
-__attribute__((weak))
-void *SYS_mmap2(void *start, size_t length, int prot, int flags, int fd, off_t pgoffset)
+void *shell_mmap2(void *start, size_t length, int prot, int flags, int fd, off_t pgoffset)
 {
 	if (fd != -1)
@@ -206,6 +206,5 @@
 }
 
-__attribute__((weak))
-int SYS_mprotect(void *addr, size_t len, int prot)
+int shell_mprotect(void *addr, size_t len, int prot)
 {
 	//if ((addr >= (void *)&__HeapBase) && (addr + len < (void *)&__HeapLimit)) {
@@ -216,4 +215,19 @@
 
 __attribute__((weak))
+long SYS_brk(long a) {
+	return (long)shell_brk((void *)a);
+}
+
+__attribute__((weak))
+long SYS_mmap2(long a, long b, long c, long d, long e, long f, long g) {
+	return (int)shell_mmap2((void *)a, (size_t)b, (int)c, (int)d, (int)e, ((off_t)f << 32) | (off_t)g);
+}
+
+__attribute__((weak))
+long SYS_mprotect(long a, long b, long c) {
+	return shell_mprotect((void *)a, (size_t)b, (int)c);
+}
+
+__attribute__((weak))
 long SYS_madvise()
 {
@@ -235,4 +249,5 @@
 int malloc_lock_sem_count[TNUM_TSKID];
 
+__attribute__((weak))
 void __malloc_lock(struct _reent *_r)
 {
@@ -261,4 +276,5 @@
 }
 
+__attribute__((weak))
 void __malloc_unlock(struct _reent *_r)
 {
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/tMbedSerial.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/tMbedSerial.c	(revision 380)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/tMbedSerial.c	(revision 387)
@@ -130,7 +130,5 @@
 
 	if (serial_readable(obj)) {
-		if (c = serial_getc(obj)) {
-			return((int_t) c);
-		}
+		return serial_getc(obj);
 	}
 	return(-1);
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/siofd.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/siofd.c	(revision 387)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/siofd.c	(revision 387)
@@ -0,0 +1,110 @@
+/*
+ *  TOPPERS ECHONET Lite Communication Middleware
+ * 
+ *  Copyright (C) 2019 Cores Co., Ltd. Japan
+ * 
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
+ * 
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
+ * 
+ *  @(#) $Id$
+ */
+
+/*
+ *	シリアルインタフェースドライバのファイルディスクリプタ実装部
+ */
+
+#include <errno.h>
+#include <unistd.h>
+#include <fcntl.h>
+#include <termios.h>
+#include "target_serial.h"
+#include "siofd.h"
+#include "serial_api.h"
+
+extern serial_t log_serial;
+
+__attribute__((weak))
+int siofd_open(const char *path, int flags, ...)
+{
+	return -1;
+}
+
+__attribute__((weak))
+int siofd_close(int fd)
+{
+	return -1;
+}
+
+__attribute__((weak))
+ssize_t siofd_read(int fd, void *data, size_t len)
+{
+	char *pos, *end;
+
+	if (fd != STDIN_FILENO)
+		return -1;
+
+	for (pos = (char *)data, *end = &pos[len]; pos < end; pos++) {
+		*pos = serial_getc(&log_serial);
+	}
+
+	return pos - (char *)data;
+}
+
+__attribute__((weak))
+ssize_t siofd_write(int fd, const void *data, size_t len)
+{
+	const char *pos, *end;
+
+	if (fd != STDOUT_FILENO)
+		return -1;
+
+	for (pos = (const char *)data, end = &pos[len]; pos < end; pos++) {
+		serial_putc(&log_serial, *pos);
+	}
+
+	return pos - (char *)data;
+}
+
+__attribute__((weak))
+int siofd_tcsetattr(int fd, int act, const struct termios *tio)
+{
+	return 0;
+}
+
+__attribute__((weak))
+int siofd_tcgetattr(int fd, struct termios *tio)
+{
+	return 0;
+}
+
+__attribute__((weak))
+int siofd_fcntl(int fd, int cmd, ...)
+{
+	return 0;
+}
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/siofd.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/siofd.h	(revision 387)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/syssvc/siofd.h	(revision 387)
@@ -0,0 +1,55 @@
+/*
+ *  TOPPERS ECHONET Lite Communication Middleware
+ * 
+ *  Copyright (C) 2019 Cores Co., Ltd. Japan
+ * 
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
+ * 
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
+ * 
+ *  @(#) $Id$
+ */
+
+/*
+ *	シリアルインタフェースドライバのファイルディスクリプタ実装部
+ */
+
+int siofd_open(const char *path, int flags, ...);
+
+int siofd_close(int fd);
+
+ssize_t siofd_read(int fd, void *data, size_t len);
+
+ssize_t siofd_write(int fd, const void *data, size_t len);
+
+int siofd_tcsetattr(int fd, int act, const struct termios *tio);
+
+int siofd_tcgetattr(int fd, struct termios *tio);
+
+int siofd_fcntl(int fd, int cmd, ...);
+
